<?php

defined( 'WP_UNINSTALL_PLUGIN' ) || exit;

if ( ! defined( 'WP_SCIENCE_CACHE_ROOT_PATH' ) ) {
	define( 'WP_SCIENCE_CACHE_ROOT_PATH', WP_CONTENT_DIR . '/cache/' );
}

if ( ! defined( 'WP_SCIENCE_CONFIG_PATH' ) ) {
	define( 'WP_SCIENCE_CONFIG_PATH', WP_CONTENT_DIR . '/wordpress-config/' );
}

require_once __DIR__ . '/inc/Engine/WPScienceUninstall.php';

// RUCSS Database Engine.
require_once __DIR__ . '/inc/Dependencies/Database/Base.php';
require_once __DIR__ . '/inc/Dependencies/Database/Column.php';
require_once __DIR__ . '/inc/Dependencies/Database/Schema.php';
require_once __DIR__ . '/inc/Dependencies/Database/Query.php';
require_once __DIR__ . '/inc/Dependencies/Database/Row.php';
require_once __DIR__ . '/inc/Dependencies/Database/Table.php';
require_once __DIR__ . '/inc/Dependencies/Database/Queries/Meta.php';
require_once __DIR__ . '/inc/Dependencies/Database/Queries/Date.php';
require_once __DIR__ . '/inc/Dependencies/Database/Queries/Compare.php';
require_once __DIR__ . '/inc/Engine/Optimization/RUCSS/Database/Tables/UsedCSS.php';

require_once __DIR__ . '/inc/Engine/Preload/Database/Tables/Cache.php';
$science_rucss_usedcss_table = new WP_Science\Engine\Optimization\RUCSS\Database\Tables\UsedCSS();
$science_cache_table         = new \WP_Science\Engine\Preload\Database\Tables\Cache();
$science_uninstall           = new WPScienceUninstall(
	WP_SCIENCE_CACHE_ROOT_PATH,
	WP_SCIENCE_CONFIG_PATH,
	$science_rucss_usedcss_table,
	$science_cache_table
	);

$science_uninstall->uninstall();
